# angular2-datagrid
Datagrid for angular 2


##Getting started

1. Include knockout, knockout-datagrid, bootstrap css, jQuery and blockUI .

    ```html
    <!--Vendor-->
    <link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css"/>

    <script src="https://code.jquery.com/jquery-2.2.0.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.blockUI/2.70/jquery.blockUI.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/knockout/3.4.0/knockout-debug.js"></script>
    <script src="js/knockout-DataGrid.js"></script>
    <!--End Vendor-->
    ```

2. Specify your html markup, you can also use this on any element that needs paging.

    ```html
   	<div id="htmlAjaxSource" data-bind="dataGrid: tbl">
       <table class="table table-bordered table-condensed">
           <thead>
               <tr>
                   <td>Username</td>
                   <td>CreatedOn/By</td>
               </tr>
           </thead>
           <tbody>
               <tr data-bind="visible: totalRows() === 0" style="background-color: #f9f9f9;">
                   <td colspan="3">No record/s to display.</td>
               </tr>
               <!--ko foreach: itemsOnCurrentPage-->
               <tr>
                   <td>
                       <a href="#" data-bind="text:username, click:$parent.alertInfo"></a>
                   </td>
                   <td data-bind="text:emailAddress"></td>
               </tr>
               <!--/ko-->
           </tbody>
       </table>
       <span data-bind="text:info()"></span>
   </div>
    ```

3. Instantiate ko.dataGrid.vm, for more option please refer to the [code](https://github.com/jmvtrinidad/knockout-datagrid/blob/master/js/knockout-DataGrid.js).

    ```JavaScript
    
    function AppViewModel() {
        this.tblAjaxSource = new ko.dataGrid.vm({ url: 'request/GetAjax.json', searchField: 'username' });
    }
    ```

5. [demo](http://jmvtrinidad.github.io/angular2-datagrid/)

# Webpack-starter
Based on [webpack-starter](https://github.com/AngularClass/angular2-webpack-starter).

# License
 [MIT](/LICENSE)
